Home

# Class goog.testing.TestRunner

Construct a test runner. NOTE(user): This is currently pretty weird, I'm essentially trying to create a wrapper that the Selenium test can hook into to query the state of the running test case, while making goog.testing.TestCase general.

Instance Method Summary
| `execute()` Executes a test case and prints the results to the window.
| `getNumFilesLoaded() ⇒ number` Returns the number of script files that were loaded in order to run the test.
| `getReport(boolean= opt_verbose) ⇒ string` Returns a report of the test case that ran. Used by Selenium Hooks.
| `getRunTime() ⇒ number` Returns the amount of time it took for the test to run. Used by Selenium Hooks.
| `hasErrors() ⇒ boolean` Returns true if the test case runner has errors that were caught outside of the test case.
| `initialize(?goog.testing.TestCase testCase)` Initializes the test runner.
| `isFinished() ⇒ boolean` Returns true if the test runner is finished. Used by Selenium Hooks.
| `isInitialized() ⇒ boolean` Returns true if the test runner is initialized. Used by Selenium Hooks.
| `isStrict() ⇒ boolean`
| `isSuccess() ⇒ boolean` Returns true if the test case didn't fail. Used by Selenium Hooks.
| `log(string s)` Logs a message to the current test case.
| `logError(string msg)` Logs an error that occurred. Used in the case of environment setting up an onerror handler.
| `logTestFailure(?Error ex)` Log failure in current running test.
| `onComplete_()` Writes the results to the document when the test case completes.
| `setErrorFilter(function (string): ? fn)` Sets a function to use as a filter for errors.
| `setStrict(boolean strict)` By default, the test runner is strict, and fails if it runs an empty test case.
| `writeLog(string log)` Writes a nicely formatted log out to the document.